import matplotlib.pyplot as plt
numargs = hypsecant.numargs
[  ] = [0.9,] * numargs
rv = hypsecant()

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = hypsecant.cdf(x, )
h = plt.semilogy(np.abs(x - hypsecant.ppf(prb, )) + 1e-20)

# Random number generation

R = hypsecant.rvs(size=100)
